%define pyver %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-dialog
Version:        2.0.6
Release:        0.fdr.1.2
Epoch:          0
Summary:        Python interface to the Unix dialog utility

Group:          Development/Languages
License:        LGPL
URL:            http://people.via.ecp.fr/~flo
Source0:        http://people.via.ecp.fr/~flo/2002/pythondialog/dist/pythondialog-2.06.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python-abi = %{pyver}
Requires:       dialog

%description
A Python interface to the Unix dialog utility, designed to provide an
easy, pythonic and as complete as possible way to use the dialog
features from Python code.

%prep
%setup -q -n pythondialog-2.06


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --prefix=%{_prefix}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc demo.py AUTHORS COPYING DEBUGGING README TODO ChangeLog
%{python_sitearch}/dialog.py
%{python_sitearch}/dialog.pyc
%ghost %{python_sitearch}/dialog.pyo


%changelog
* Sat Jul 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.06-0.fdr.1
- Initial Fedora Package
